# 49. Poizvedba: pridobi mrežne podatke iz »FieldSatelliteImage«

Poizvedba za pridobitev mrežnih podatkov iz rastrskega nabora podatkov, povezanih s "FieldSatelliteImage", kot `GEOJSON`  s točkami ali `GEOTIFF`. Atribut properties je odvisen od ponudnika in običajno vsebuje izvorne podatke ponudnika (na primer RDEČA, ZELENA, MODRA, NIR in celo ČISTO KRAJINO) na točko/piksel. Več podrobnosti o izvoženi datoteki je mogoče najti [TUKAJ](/geopard-tutorials/svn/predstavitev-izdelka-spletna-aplikacija/izvoz-prenos/izvoz-satelitskih-posnetkov-kot-geotiff-ali-geojson.md).

#### 1. Zahtevajte datoteko za izvoz

{% hint style="danger" %}
Priporočamo pridobitev samo ene zbirke podatkov z `sourceDataUrl` na zahtevo.&#x20;
{% endhint %}

`BrezPufra`, `PlusEnPixel`, `PlusDvaPixla`, `MinusEnPixel`, in `MinusDvaPixla` so na voljo kot `pufr`.

`GEOJSON` in `GEOTIFF` so na voljo kot format.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Prenesite ustvarjeno datoteko

Po uspešni pripravi datoteke jo je mogoče prenesti z uporabo `curl` ali podobnega pristopa.

{% hint style="danger" %}
`sourceDataUrl` povezava je dostopna samo za **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/49.-poizvedba-pridobi-mrezne-podatke-iz-fieldsatelliteimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
